WITH   Gnat.IO ;  USE Gnat.IO;

PROCEDURE   CharTb22  IS
BEGIN
   ----- LOOP , On each char
   FOR i in 0..255 LOOP
      ----- Write char  ( Ignoring problem chars )
      IF    (i = 0)  or (i = 7)  or (i = 8) or (i = 9)
         or (i = 10) or (i = 13) or (i = 26)
      THEN
         Put (   "-"   );
      ELSE
         Put (   Character'Val(i)   );
      END IF;

      New_Line ;
   END LOOP;
END;
